package com.lantone.qc.trans.beilun.util.ez;

import com.google.common.collect.Lists;
import com.lantone.qc.trans.beilun.util.ez.util.EzXmlUtil;
import lombok.extern.slf4j.Slf4j;

import java.util.List;
import java.util.Map;

/**
 * @Description: 输血记录解析
 * @author: HUJING
 * @time: 2021/1/7 11:20
 */
@Slf4j
public class EzClinicalBloodAnalysis implements EzAnalysis {

    @Override
    public Map<String, String> analysis(String xml) throws Exception {
        Map<String, String> map = EzXmlUtil.analysis(xml);
        Map<String, String> structureMap = EzXmlUtil.mapKeyContrast(map, keyContrasts);
        return map;
    }

    /**
     * 目前能解析字段：
     * 全文本
     * 诊断
     * 检验结果
     * 血型
     * 输注量
     * 输血开始时间
     * 输血日期end
     * 输血结束时间
     * 输血指征
     */
    private static List<String> keyContrasts = Lists.newArrayList(
            "输注量=输血量（mL）",
            "血型=ABO血型代码"
    );
}